The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrade Tomcat

Discussion in 'General Discussion' started by operator, Feb 28, 2004.

  1. operator

    operator Guest

    Hi all;

    I would like to upgrade jakarta-tomcat-4.1.12 to jakarta-tomcat-5 on linux server.

    any one have steps to do that.
     
  2. BrightAdmin

    BrightAdmin Well-Known Member

    Joined:
    Feb 29, 2004
    Messages:
    204
    Likes Received:
    0
    Trophy Points:
    16
    Hi Mkan,

    Upgrading from Tomcat 4.1.12 to 5.0 is a simple procedure. In my case, I used the following steps:

    1) Made a backup of Tomcat 4.1.12
    2) Installed Tomcat 5.0 over my old Tomcat 4.1.12
    3) Moved my project web site directories from my backup copy into the new webapps directory.
    4) Updated the new server.xml configuration file to add my web sites in their own Context section.
    5) Double checked that my Apache web server was appending the correct Tomcat configuration additions .

    It will be a 10 minutes job to you to install and hope everything will work perfectly.

    Regards,
    :)
     
    #2 BrightAdmin, Mar 2, 2004
    Last edited: Mar 2, 2004
  3. linuxprovider

    linuxprovider Active Member

    Joined:
    Mar 4, 2004
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    egypt
    I want steps

    Thanks BrightAdmin;

    i want steps and what type of Tomcat 5 u install src or binary
    Thanks alot
     
  4. dgbaker

    dgbaker Well-Known Member
    PartnerNOC

    Joined:
    Sep 20, 2002
    Messages:
    2,578
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Toronto, Ontario Canada
    cPanel Access Level:
    DataCenter Provider
    Actually I would also like to know. Also for which O/S and did it have cPanel, was it integrated into cPanel etc...
     
  5. linuxprovider

    linuxprovider Active Member

    Joined:
    Mar 4, 2004
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    egypt
    Yes I have Cpanel

    I'm Using Redhat 9 and have cpanel 8.8.0
     
  6. woolly

    woolly Active Member

    Joined:
    Dec 29, 2003
    Messages:
    26
    Likes Received:
    0
    Trophy Points:
    1
    I tried replacing the tomcat 4 binary with the tomcat 5 binary and i restarted tomcat.

    However, in apache i get an internal server error. i had to switch back to tomcat 4 to get it working again.

    Does anyone know how to fix this problem?
     
Loading...

Share This Page